## ansible-9.1.0-3.src.tar.zst

=== ansible_collections/community/general/tests/unit/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

# requirement for the memcached cache plugin
python-memcached

# requirement for the redis cache plugin
redis

# requirement for the linode module
linode-python  # APIv3
linode_api4 ; python_version > '2.6'  # APIv4

# requirement for the gitlab and github modules
python-gitlab
PyGithub
httmock

# requirement for maven_artifact module
lxml < 4.3.0 ; python_version < '2.7' # lxml 4.3.0 and later require python 2.7 or later
lxml ; python_version >= '2.7'
semantic_version

# requirement for datadog_downtime module
datadog-api-client >= 1.0.0b3 ; python_version >= '3.6'

# requirement for dnsimple module
dnsimple >= 2 ; python_version >= '3.6'
dataclasses ; python_version == '3.6'

# requirement for the opentelemetry callback plugin
# WARNING: these libraries rely on Protobuf for Python, which regularly stops installing.
#          That's why they are disabled for now.
# opentelemetry-api ; python_version >= '3.6' and python_version < '3.10'
# opentelemetry-exporter-otlp ; python_version >= '3.6' and python_version < '3.10'
# opentelemetry-sdk ; python_version >= '3.6' and python_version < '3.10'

# requirement for the elastic callback plugin
elastic-apm ; python_version >= '3.6'

# requirements for scaleway modules
passlib[argon2]

# requirements for the proxmox modules
proxmoxer < 2.0.0 ; python_version >= '2.7' and python_version <= '3.6'
proxmoxer ; python_version > '3.6'

#requirements for nomad_token modules
python-nomad < 2.0.0 ; python_version <= '3.6'
python-nomad >= 2.0.0 ; python_version >= '3.7'

=== debian/changelog ===
ansible (9.1.0-1) unstable; urgency=medium

  * Ansible 9.1.0 release

 -- Red Hat, Inc. <info@ansible.com>  Tue, 05 Dec 2023 16:33:31 +0000

=== PKGBUILD ===
# Maintainer: Alexandre Ferreira <contact@alexjorgef.com>

pkgname=ansible
pkgver=9.1.0
pkgrel=3
pkgdesc='Official assortment of Ansible collections'
arch=('any')
url='https://pypi.org/project/ansible/'
msys2_references=(
  "cpe: cpe:/a:ansible:ansible"
  "cpe: cpe:/a:redhat:ansible"
  "cpe: cpe:/a:redhat:ansible_engine"
  "pypi:ansible"
)
license=('spdx:GPL-3.0-or-later')
depends=(
  'python'
  'ansible-core'
)
makedepends=(
  'python-setuptools'
  'python-build'
  'python-installer'
  'python-setuptools'
)
source=("https://pypi.python.org/packages/source/a/ansible/ansible-${pkgver}.tar.gz")
sha512sums=('ec6d86b3d05e66053001720b6b7d7bd1dba8bd50917c913e1f08a63b0c94f76a5d69732c78e793d038622a0b8c652860290a89cee1dfb22491a81763923ef843')

build() {
  cd ansible-${pkgver}

  python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd ansible-${pkgver}

  python -m installer --destdir="${pkgdir}" dist/*.whl

  install -Dm644 COPYING "${pkgdir}"/usr/share/doc/${pkgname}/COPYING
}
